Mailinglist Archive: opensuse-factory (745 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180129 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180129

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
bash
binutils
build (20171128 -> 20180124)
e2fsprogs
gcc7 (7.2.1+r256737 -> 7.3.0+r257042)
gfxboot (4.5.25 -> 4.5.26)
ibus
installation-images-Kubic (14.354 -> 14.355)
ipsec-tools
java-1_8_0-openjdk
libqt5-qtdeclarative
make
perl
plasma5-pk-updates
strace
texinfo
timezone (2017c -> 2018c)
timezone-java (2017c -> 2018c)
xine-lib
yast2-drbd (4.0.0 -> 4.0.1)

=== Details ===

==== bash ====
Subpackages: bash-doc bash-lang libreadline7 readline-devel readline-doc

- Modify patch bash-4.3-pathtemp.patch to avoid crash at full
file system (boo#1076909)

==== binutils ====
Subpackages: binutils-devel

- Drop bc BuildRequires: no longer needed.

==== build ====
Version update (20171128 -> 20180124)
Subpackages: build-mkbaselibs build-mkdrpms

- Fix picking of right changes file for changelog generation (boo#1077145)

==== e2fsprogs ====
Subpackages: e2fsprogs-devel libcom_err-devel libcom_err2 libcom_err2-32bit
libext2fs-devel libext2fs2

- libext2fs-fix-build-failure-in-swapfs.c-on-big-endia.patch:
libext2fs: fix build failure in swapfs.c on big-endian systems (bsc#1077420)

==== gcc7 ====
Version update (7.2.1+r256737 -> 7.3.0+r257042)
Subpackages: cpp7 gcc7-c++ gcc7-fortran gcc7-info gcc7-locale gcc7-objc
libasan4 libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran4 libgomp1
libitm1 liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc7 libstdc++6-locale libtsan0 libubsan0

- Update to GCC 7.3 release.
- Move misplaced %endif
- Update to GCC 7.3.0 RC1 (r256792).

==== gfxboot ====
Version update (4.5.25 -> 4.5.26)

- Translated using Weblate (Danish)
- 4.5.26

==== ibus ====
Subpackages: ibus-branding-openSUSE-KDE ibus-gtk ibus-gtk-32bit ibus-gtk3
ibus-lang libibus-1_0-5 libibus-1_0-5-32bit python-ibus typelib-1_0-IBus-1_0

- Fix boo#1073524: IBus does not work on Qt5 applicatin under
Qt5 only environment
* do not set QT_IM_MODULE=xim for Qt5 applications
* use QT4_IM_MODULE for Qt4 applications
- Enable emoji support for openSUSE.
- Use %fdupes in python3-ibus.

==== installation-images-Kubic ====
Version update (14.354 -> 14.355)

- merge gh#openSUSE/installation-images#229
- make cypto lib dependencies more flexible
- make dependency on bash explicit
- 14.355
- Own /usr/lib/skelcd if skelcd_compat is set: until the products
are fully migrated to the product builder rewrite, some still use
the legacy /CD1 path. They advertise this by defining
skelcd_compat=1.

==== ipsec-tools ====

- avoid-dos-with-fragment-out-of-order.patch (bsc#1047443,
CVE-2016-10396)

==== java-1_8_0-openjdk ====
Subpackages: java-1_8_0-openjdk-headless

- Fix build with gcc 7.3
* add -fno-delete-null-pointer-checks -fno-lifetime-dse and
- std=gnu++98

==== libqt5-qtdeclarative ====
Subpackages: libQtQuick5 libqt5-qtdeclarative-devel libqt5-qtdeclarative-tools

- Update patch to also modify some python2-style prints to use python3-style
* qtdeclarative-switch-to-python3.patch
- Switch to use python3 at build time
* qtdeclarative-switch-to-python3.patch

==== make ====
Subpackages: make-lang

- test-driver.patch: let perl find test_driver.pl
- glob-interface.patch: Support GLIBC glob interface version 2

==== perl ====
Subpackages: perl-base perl-doc

- posix-sigaction.patch: make sure Perl_sighandler is always installed
with SA_SIGINFO (bsc#1064697)

==== plasma5-pk-updates ====
Subpackages: plasma5-pk-updates-lang

- Update translations (boo#1077851)

==== strace ====

- add update-futex-test-in-accordance-with-kernel-s-v4.15-.patch

==== texinfo ====
Subpackages: info makeinfo

- Do not require bash for package info (boo#1077744)

==== timezone ====
Version update (2017c -> 2018c)

- timezone update 2018c:
* São Tomé and Príncipe switched from +00 to +01 on 2018-01-01
* Southern Brazil's DST will now start on November's first Sunday
(bsc#1073275)
* New zic option -t to specify the time zone file if TZ is unset

==== timezone-java ====
Version update (2017c -> 2018c)

- timezone update 2018c:
* São Tomé and Príncipe switched from +00 to +01 on 2018-01-01
* Southern Brazil's DST will now start on November's first Sunday
(bsc#1073275)
* New zic option -t to specify the time zone file if TZ is unset

==== xine-lib ====
Subpackages: libxine-devel libxine2 libxine2-pulse

- Rebase fix-non-x86-build.diff to fix arm build.

==== yast2-drbd ====
Version update (4.0.0 -> 4.0.1)

- SuSEFirewall2 replace by firewalld(fate#323460)
- Version 4.0.1


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages